#ifndef AR_DELETE
#define AR_DELETE
/*
 *  include file for public ardelete.c functions
 *  BACI archiver
 *     Bill Bynum
 *     May 2000
 */
#include "artables.h"

void deleteMember(Archive* ar, Member* tm, Member* prev, int verbose);
/*
 *  delete the member pointed to by 'tm' from the MemberList of tghe
 *  archive pointed to by 'ar'
 *  'prev' points to the member of the Member list prior to 
 *  the Member to be deleted
 *  if (verbose) perform the action verbosely
 */

void delete_members(Archive* ar, char** files, int num_files, int verbose, 
   int insert_symdef);
/*
 *  delete members named in the list of files 'files' (there
 *  are 'num_files' filenames in the list) from the archive file
 *  described by '*ar'
 *  if (verbose) perform the action verbosely
 *  If 'insert_symdef' and none is there, then add a SYMDEF member 
 *  before deleting.  
 *  Deletion is not allowed unless a SYMDEF is present
 */

/*
 *  $Log: ardelete.h,v $
 *  Revision 1.6  2001/06/12 15:13:41  bynum
 *  DOS-ify include filenames
 *
 *  Revision 1.5  2000/05/30 13:47:34  bynum
 *  Change header information from ar68xx to BACI ar
 *
 * Revision 1.4  1996/04/23  16:58:30  bynum
 * add address comment, add 'insert_symdef' flag, move code back from
 * 'ar68xx.c' to 'delete_members'
 *
 * Revision 1.3  1996/01/24  17:00:39  bynum
 * change to use of Archive* struct
 *
 * Revision 1.2  1996/01/20  08:50:30  bynum
 * add #ifndef/#endif to prevent mutliple includes, remove 'delete_member'
 *
 * Revision 1.1  1996/01/15  13:37:45  bynum
 * Initial revision
 *
 */
#endif
