#ifndef AR_READSYMS
#define AR_READSYMS
/*
 *  include file for arrdsyms.c functions
 *  BACI archiver
 *     Bill Bynum
 *     May 2000
 */

#include <stdio.h>

FILE* open_member_file(char* member_fname);
/*
 *  open for reading a member file named 'member_fname' and
 *  return a file ptr to it
 *  abort if not possible  
 */

void collectMemberSymbols(FILE* mf, SymbolList* defsym, 
   SymbolList* refsym, Member* m, int verbose);
/*
 *  collect the Def (defined) symbols of the Member pointed to by 'm' 
 *  from the file described by 'mf' and store the defined symbols in the 
 *  '*defsym' SymbolList and the external refs in the '*refsym' SymbolList
 *  verbose == 1 => do it verbosely
 */

void collectArchiveSymbols(Archive* ar, int verbose);
/*
 *  collect all of the Symbols from existing members of the Archive 
 *  into the Archive's SymbolList
 *  verbose == 1 => do it verbosely
 */

/*
 *  $Log: arrdsyms.h,v $
 *  Revision 1.6  2001/06/12 15:10:13  bynum
 *  add verbose parm to collectMemberSymbols and collectArchiveSymbols
 *  calls
 *
 *  Revision 1.5  2000/05/30 15:44:14  bynum
 *  switch to BACI PCODE, remove fcn protoypes for ar68xx procs no longer used
 *
 *  Revision 1.4  1996/04/23 17:04:04  bynum
 *  add address comment, add 'collectArchiveSymbols'
 *
 * Revision 1.3  1996/01/31  10:27:14  bynum
 * make 'read_Memberline', 'read_symname', 'read_value' public, delete
 * the 'refsym' parm of 'collectSymbols'
 *
 * Revision 1.2  1996/01/24  17:03:51  bynum
 * change to use of Archive struct
 *
 * Revision 1.1  1996/01/20  08:31:18  bynum
 * Initial revision
 *
 */
#endif
